document.addEventListener('DOMContentLoaded', () => {
  // Terminal typing effect
  const terminalText = `Initializing OpenLinux Kernel...
[OK] Quantum Encryption Layer
[OK] AI Runtime Environment
[OK] Enterprise Security Protocols
Ready for deployment`;
  
  const terminal = document.querySelector('.code');
  let index = 0;
  
  function typeText() {
    terminal.textContent = terminalText.slice(0, index);
    index++;
    if (index <= terminalText.length) {
      setTimeout(typeText, 20);
    }
  }
  
  typeText();

  // Intersection Observer for animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('.feature-card, .security-layer').forEach(el => {
    el.style.opacity = 0;
    el.style.transform = 'translateY(30px)';
    observer.observe(el);
  });

  // Mobile menu
  const menuToggle = document.createElement('div');
  menuToggle.className = 'menu-toggle';
  document.querySelector('nav').appendChild(menuToggle);
  
  menuToggle.addEventListener('click', () => {
    document.querySelector('.nav-links').classList.toggle('active');
  });
});